FROM alpine:3.7
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Install Java 1.8 JRE
 apk --no-cache add openjdk8-jre-base paxctl \
 # Fix grsec attributes to loosen memory protection restrictions
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/jre/bin/java \
 && paxctl -cm /usr/lib/jvm/java-1.8-openjdk/bin/java \
 # Cleanup
 && apk --no-cache del paxctl

RUN \
 # Install Tomcat 8
 wget http://mirror.hosting90.cz/apache/tomcat/tomcat-8/v8.0.50/bin/apache-tomcat-8.0.50.tar.gz -O /tmp/apache-tomcat-8.tgz \
 && tar xf /tmp/apache-tomcat-8.tgz -C /srv \
 && mv /srv/apache-tomcat-8.0.50 /srv/tomcat \
 # Make catalina.sh available globally
 && ln -s /srv/tomcat/bin/catalina.sh /usr/bin/catalina.sh \
 # Cleanup
 && rm -rf /srv/tomcat/webapps/ROOT /srv/tomcat/webapps/docs /srv/tomcat/webapps/examples /srv/tomcat/webapps/host-manager /srv/tomcat/webapps/manager \
 && rm -f /tmp/apache-tomcat-8.tgz

COPY docker/ /
